extensions / Commerce extension
GET
/api/projects/{project_id}/shopify/connect/statusGet Connect status
Returns the Shopify connection status and granted scopes for a project.
GET
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront session.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
Query Parameters
Request Body
Response Body
Example 200 response
json
{
"connected": true,
"shop": "string",
"connected_at": "2026-01-01T00:00:00Z",
"scopes": []
}Errors
500 INTERNAL_SERVER_ERRORAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

